Subject: Rare livestock breeds

From: [email-masked] (JDohner)
Date: 30 Aug 1995 12:46:09 -0400

I am writing a book on our rare and endangered breeds of livestock.  I
have enjoyed a great deal of help from the livestock conservation groups,
breed associations, and individuals.  I would like to invite people who
have special knowledge about or raise these breeds to share their info
with me.  I am looking for your observations about unique characteristics
or traits.  I am also looking for verification that these breeds will fit
into  economically viable agriculture.  I would appreciate learning about
your experiences.
[email-masked]